<script>
import { ref, watch } from 'vue'
import { useRoute, useRouter } from 'vue-router'
import { useStore } from 'vuex'

// import GroupsBreadcrumbComponent from '@/components/gitlab/GroupsBreadcrumbComponent.vue'  // TODO USed
import ExecutionLogsComponent from '@/components/gitlab/pipeline/ExecutionLogsComponent.vue'
import PipelineSelectorComponent from '@/components/gitlab/pipeline/PipelineSelectorComponent.vue'

export default {
  name: 'PipelineExecution',
  components: {
    ExecutionLogsComponent,
    PipelineSelectorComponent,
  },
  setup() {
    const route = useRoute()
    const router = useRouter()
    const store = useStore()
    const activeTab = ref(route.query.tab ? Number.parseInt(route.query.tab, 10) : 0)

    watch(activeTab, newTab => {
      router.replace({ query: { ...route.query, tab: newTab } })
    })

    return {
      activeTab,
      route,
      store,
    }
  },
}
</script>

<template>
  <VContainer>
    <!-- groups-breadcrumb-component :route="'vendors'" / -->

    <VTabs v-model="activeTab">
      <VTab>Job and Stages Lists</VTab>
      <VTab>Report</VTab>
    </VTabs>

    <VTabsItems v-model="activeTab">
      <!-- 1st tab -->
      <VTabItem>
        <PipelineSelectorComponent
          v-if="activeTab === 0"
          route="vendors"
        />
      </VTabItem>
      <!-- 2nd tab -->
      <VTabItem>
        <ExecutionLogsComponent
          v-if="activeTab === 1"
          route="vendors"
        />
      </VTabItem>
    </VTabsItems>
  </VContainer>
</template>

<style scoped>
/* Scoped styles here, if needed */
</style>
